.product-card {
    height: 470px;
    width: 300px;
    margin: 50px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    background-size: cover;
    background-repeat: no-repeat;
    overflow-y: hidden;
    transform: scale(1);
    transition: 1.5s;
    cursor: pointer;
    background: #f2f2f2;
}

.product-card:hover {
    transform: scale(1.2);
    transition: 1.5s;
}

.product-card:hover .product-image {
    transform: translateY(-95%);
    transition: 1.5s ease-in-out;
    opacity: 0;
    visibility: hidden;
}

.product-card:hover .product-header-container {
    transform: translateY(-95%);
    transition: 1.5s ease-in-out;
    opacity: 0;
    visibility: hidden;
}

.product-card:hover .product-additional-info {
    transform: translateY(-430px);
    transition: 1.5s;
    -webkit-animation-name: appearAndSlide;
    -webkit-animation-duration: 3s;
    animation-name: appearAndSlide;
    animation-duration: 3s;
}

div#products-container {
    display: flex;
    width: 100%;
    flex-wrap: wrap;
}

.product-additional-info {
    transform: translateY(0px);
    transition: 1.5s;
    margin: 0px 20px;
    cursor: pointer;
}

.product-header-container {
    background-color: lightgray;
    height: 50px;
    font-size: 20px;
    position: relative;
    width: 100%;
    font-family: monospace;
    letter-spacing: 2px;
    text-align: center;
    transform: translateY(0px);
    transition: 1.5s;
    opacity: 1;
    cursor: pointer;
}

.product-image {
    width: 300px;
    height: 420px;
    transform: translateY(0px);
    transition: 1.5s;
    cursor: pointer;
}

.product-image-src {
    width: 300px;
    height: 420px;
    cursor: pointer;
}

div#shop-container {
    display: flex;
}

div#filter-shop-container {
    border-right: 1px solid black;
    /* min-width: 240px;
    max-width: 20%; */
    min-width: fit-content;
    position: relative;
    clear: both;
    float: left;
    display: block;
    overflow: hidden;
}

label.product-description {
    text-align: center;
    position: relative;
    cursor: pointer;
}

label.product-category-value {
    text-align: left;
    position: relative;
    width: 50%;
    cursor: pointer;
}

.product-category-container {
    width: 100%;
    position: relative;
    cursor: pointer;
}

label.product-category-header {
    width: 50%;
    position: relative;
    font-weight: 600;
    text-align: left;
    cursor: pointer;
}

.product-purpose-container {
    width: 100%;
    position: relative;
    display: flex;
    cursor: pointer;
}

label.product-purpose-header {
    width: 50%;
    text-align: left;
    position: relative;
    font-weight: 600;
    cursor: pointer;
}

.product-purpose-text-container {
    width: 50%;
    position: relative;
    display: block;
    cursor: pointer;
}

.product-purpose-value {
    cursor: pointer;
}

.product-price-container {
    width: 100%;
    position: relative;
    cursor: pointer;
}

label.product-price {
    width: 100%;
    position: relative;
    text-align: center;
    font-size: 24px;
    font-weight: bold;
    cursor: pointer;
}

button.add-to-cart-btn {
    position: relative;
    text-align: center;
    margin-left: calc((100% - 175px) / 2);
    cursor: pointer;
}

label.product-name {
    margin: 0;
    position: relative;
    height: 100%;
    font-size: 20px;
    text-transform: uppercase;
    margin-top: 10px;
    cursor: pointer;
}

@keyframes appearAndSlide {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@-webkit-keyframes appearAndSlide {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
